/**
 *
 *
  _____                      _              _ _ _     _   _     _        __ _ _
 |  __ \                    | |            | (_) |   | | | |   (_)      / _(_) |
 | |  | | ___    _ __   ___ | |_    ___  __| |_| |_  | |_| |__  _ ___  | |_ _| | ___
 | |  | |/ _ \  | '_ \ / _ \| __|  / _ \/ _` | | __| | __| '_ \| / __| |  _| | |/ _ \
 | |__| | (_) | | | | | (_) | |_  |  __/ (_| | | |_  | |_| | | | \__ \ | | | | |  __/
 |_____/ \___/  |_| |_|\___/ \__|  \___|\__,_|_|\__|  \__|_| |_|_|___/ |_| |_|_|\___|

 * DO NOT EDIT THIS FILE!!
 *
 *  FOR CUSTOMIZE variedadBaseService PLEASE EDIT ../variedad.service.ts
 *
 *  -- THIS FILE WILL BE OVERWRITTEN ON THE NEXT SKAFFOLDER'S CODE GENERATION --
 *
 */
// DEPENDENCIES
import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { MessageFirebase } from 'src/app/domain/gifloadmin_db/message.firebase';
// CONFIG
import { environment } from '../../../environments/environment';



/**
 * THIS SERVICE MAKE HTTP REQUEST TO SERVER, FOR CUSTOMIZE IT EDIT ../Variedad.service.ts
 */

@Injectable()
export class MessageBaseService {

    contextUrl: string = environment.endpoint + '/system/';
    constructor(
        protected http: HttpClient
    ) { }

    send(item: MessageFirebase): Promise<MessageFirebase> {
        return this.http
            .put<MessageFirebase>(this.contextUrl + 'rest/firebase/send', item).toPromise();
    }


}
